void CuadradoPuntero(int N, int S, boolean cromo) {
  ComplexNumber z = new ComplexNumber(mouseX-Scale*float(S)/2,mouseY+Scale*float(S)/2);
  //z.x=mouseX-Scale*float(S)/2; z.y=mouseY+Scale*float(S)/2;
  z=z.T(true); //z tiene coordenadas en el plano
  color C, Cm;
  int I;
  ComplexNumber[]  VF = new ComplexNumber[N*N];
  for (int k=0; k < N; k++) {
    for (int l=0; l < N; l++) {
      //colorea los ptos del cuadrado si cromo en gradiente, sino monocromático
    if(cromo){
    C = Paleta(l, N-1, 0);
    }else{
    C = Paleta(iterations,iterations*2, 0);
    }
    Cm=C;
      I = (N)*(k)+l;
      VF[I] = new ComplexNumber(k, l).esc(float(S)/(N-1));
      VF[I] = VF[I].Add(z);
      //VF[I] tienen valores en plano XY 
      //1: from Computer to XY-plane 2:from XY-Plane to computer
        ComplexNumber T = new ComplexNumber(VF[I].x, VF[I].y);
        ComplexNumber Tm = new ComplexNumber(VF[I].x, VF[I].y);
        for (int j=0; j<=iterations; j++) {
              T.T(false).Print(C);
              Tm.T(false).Print(Cm);
              T=T.Mobius(P, Q, false);
              Tm=Tm.Mobius(P, Q, true);
              if(!cromo&&(j<iterations)){
              C=Paleta(j+1,iterations,-iterations);
              Cm=Paleta(-j-1,iterations,-iterations);}
            }
    }
  }
}

void CirculoPuntero(int N, int S, boolean cromo) {
  ComplexNumber z = new ComplexNumber(mouseX,mouseY);
  z=z.T(true); //z tiene coordenadas en el plano XY
  color C,Cm;
  ComplexNumber[]  VF = new ComplexNumber[N];
  VF=RootsOfUnity(N);
  for (int k=0; k < N; k++) {
    //Escalar raices
    if(cromo){
    C = Paleta(k, N-1, 0);
    }else{
    C = Paleta(iterations,iterations*2, 0);}
    Cm=C;
    VF[k]=VF[k];
    VF[k] =VF[k].esc(S).Add(z);
    ComplexNumber T = new ComplexNumber(0,0).Add(VF[k]);
    ComplexNumber Tm = new ComplexNumber(0,0).Add(VF[k]);
    //VF[I] tienen valores en plano XY 
      //1: from Computer to XY-plane 2:from XY-Plane to computer
    for (int j=0; j<=iterations; j++) {
              T.T(false).Print(C);
              Tm.T(false).Print(Cm);
              T=T.Mobius(P, Q, false);
              Tm=Tm.Mobius(P, Q, true);   
              if(!cromo&&(j<iterations)){
              C=Paleta(j+1,iterations,-iterations);
              Cm=Paleta(-j-1,iterations,-iterations);}
     }
  } 
}

void PuntoPuntero(boolean cromo) {
  ComplexNumber z = new ComplexNumber(mouseX,mouseY);
  z=z.T(true);
  ComplexNumber T = new ComplexNumber(z.x,z.y);
  ComplexNumber Tm = new ComplexNumber(z.x,z.y);
  color C,Cm; 
  C=Paleta(0,iterations,-iterations);
  Cm=C;
  for (int j=0; j<=iterations; j++) {
              T.T(false).Print(C);
              Tm.T(false).Print(Cm);
              T=T.Mobius(P, Q, false);
              Tm=Tm.Mobius(P, Q, true);   
              if(!cromo&&(j<iterations)){
              C=Paleta(j+1,iterations,-iterations);
              Cm=Paleta(-j-1,iterations,-iterations);}
     }
} 
