void Display(boolean e, boolean g, boolean h, int esc) {
  stroke(150);strokeWeight(1);
  int i, k;
  if (g) {
    k=int(width/esc); 
    for (i=int (-k/2); i<int(k/2)+1; i++)
    {
      line(width/2+(i*esc), 0, width/2+(i*esc), height);
    }
    k=int(height/esc);
    for (i=int (-k/2); i<int(k/2)+1; i++)
    {
      line(0, height/2+(i*esc), width, height/2+(i*esc));
    }
  }
  stroke(0);
  if (e) { 
    line(width/2, 0, width/2, height);
    line(0, height/2, width, height/2);
  }
  if (h) {
    noFill();
    ellipse(width/2,height/2,2*Scale,2*Scale);
  }
}

color Paleta(float value, float max, float min){
  int[] col = new int[3];
  float proportion = (value-min)/(max-min);
  int r = int(256*6*proportion);
  if(r<=255){
      col[0]=255;          col[1]=0;     col[2]=255-(r%256);
    }else if(r<256*2){
      col[0]=255;          col[1]=(r%256);          col[2]=0;
    }else if(r<256*3){
      col[0]=255-(r%256);  col[1]=255;              col[2]=0;
    }else if(r<256*4){
      col[0]=0;             col[1]=255;             col[2]=(r%256);
    }else if(r<256*5){
      col[0]=0;             col[1]=255-(r%256);      col[2]=255;
    }else if(r<256*6){
      col[0]=0;              col[1]=0;               col[2]=255-(r%256);
    }
 return color(col[0],col[1],col[2]);
}
